<template>
	<view>
		<view class="dynamics" v-html="$utils.stringFormatHtml(item.title)">
		</view>

		<view class="Artworkimages">
			<view class="wrokimg" @click.stop="previewImage(images, i)" :key="i" v-for="(img, i) in images">
				<image :src="img" mode="aspectFill"></image>
			</view>
		</view>
		
		<addressSpot 
		:address="item.address"
		:latitude="item.latitude"
		:longitude="item.longitude"
		/>
	</view>
</template>

<script>
	export default {
		props: {
			item: {},
		},
		computed : {
			images(){
				if(!this.item.image){
					return []
				}
				return this.item.image.split(',')
			}
		},
		data() {
			return {

			}
		},
		methods: {

		}
	}
</script>

<style scoped lang="scss">

	.dynamics {
		margin-top: 20rpx;
		font-size: 28rpx;
		letter-spacing: 3rpx;
	}

	.Artworkimages {
		display: flex;
		flex-wrap: wrap;

		.wrokimg {
			margin: 10rpx;

			image {
				height: 190rpx;
				width: 190rpx;
				border-radius: 20rpx;
			}
		}
	}
</style>